Bug 204865 - [PATCH] archivers/p7zip: update to 15.09
Summary: [PATCH] archivers/p7zip: update to 15.09
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-11-28 12:52 UTC by Po-Chuan Hsieh
Modified: 2015-12-04 14:17 UTC (History)
1 user (show)

See Also:
rakuco: maintainer-feedback+


Attachments
archivers/p7zip patch (11.14 KB, patch)
2015-11-28 12:52 UTC, Po-Chuan Hsieh
no flags Details | Diff
Update patch for archivers/p7zip and archivers/p7zip-codec-rar (11.94 KB, patch)
2015-12-04 11:24 UTC, Po-Chuan Hsieh
rakuco: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chuan Hsieh freebsd_committer 2015-11-28 12:52:49 UTC
Created attachment 163612 [details]
archivers/p7zip patch

- Update to 15.09
- Convert to new options target helper
- Use PORTDOCS
- Update patch files

Changes:        http://sourceforge.net/projects/p7zip/files/p7zip/15.09/README/view
Comment 1 Raphael Kubo da Costa freebsd_committer 2015-11-29 22:10:48 UTC
Thanks for the patch. You also need to adjust archivers/p7zip-codec-rar, as the shared library it installs is now called Rar.so.
Comment 2 Po-Chuan Hsieh freebsd_committer 2015-12-04 11:24:49 UTC
Created attachment 163840 [details]
Update patch for archivers/p7zip and archivers/p7zip-codec-rar
Comment 3 Raphael Kubo da Costa freebsd_committer 2015-12-04 13:28:37 UTC
Looks good to me, thanks a lot for the patch! Feel free to land it.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-04 13:31:37 UTC
@Raphael, set maintainer-approval to + on 'attachments' for approval, rather than just maintainer-feedback +, which just means 'ack, provided feedback, don't timeout'.

You can mouseover any flag name to see the description and example usages

Also feel free to re-assign to sunpoet@ :)
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-04 13:32:58 UTC
Oh yes, and since the Bugzilla UI isn't great, to set maintainer-approval on a patch, click Attachment "Details -> maintainer-approval [+] "
Comment 6 commit-hook freebsd_committer 2015-12-04 14:16:34 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Dec  4 14:16:14 UTC 2015
New revision: 402988
URL: https://svnweb.freebsd.org/changeset/ports/402988

Log:
  - Update to 15.09
  - Convert to new options target helper
  - Use PORTDOCS
  - Update patch files

  Changes:	http://sourceforge.net/projects/p7zip/files/p7zip/15.09/README/view
  PR:		204865
  Submitted by:	sunpoet (myself)
  Approved by:	rakuco (maintainer)

Changes:
  head/archivers/p7zip/Makefile
  head/archivers/p7zip/distinfo
  head/archivers/p7zip/files/patch-CPP-Windows-System.cpp
  head/archivers/p7zip/files/patch-CVE-2015-1038
  head/archivers/p7zip/pkg-plist
  head/archivers/p7zip-codec-rar/Makefile
  head/archivers/p7zip-codec-rar/pkg-plist
Comment 7 Po-Chuan Hsieh freebsd_committer 2015-12-04 14:17:29 UTC
Committed. Thanks!